<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client

	$notes_ok = TRUE;
	
	if ($cc <> "")
	{
		// Récupération des informations client
		$row = lit_enr_cli($cc);
		if (is_array($row))
		{
			extract ($row);

			if (@$HTTP_SESSION_VARS["niv_log"] >=3)
			{
				if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
				{
					$row = lit_enr_age($HTTP_SESSION_VARS["code_age"]);
					extract ($row);
					$zc_couverte = $age_zone;
	
				}
				else
					$zc_couverte = zc_age_actives();
	
				if ((@$HTTP_SESSION_VARS["niv_log"] == 4) OR (@$HTTP_SESSION_VARS["niv_log"] == 3))
				{
					if (dep_in_zc($cli_dep,$zc_couverte) == TRUE) 
					{
						if ($cli_prop <> @$HTTP_SESSION_VARS["code_age"])
						{
							$notes_ok = FALSE;
						}
					}
					else
					{
						$notes_ok = FALSE;
					}
				}
			}
			else
			{
				$notes_ok = FALSE;
			}
		}
		else
			$notes_ok = FALSE;
	}
	else
		$notes_ok = FALSE;
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Notes client</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style pour les affichages du menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour validation des formulaires -->
<script language="JavaScript" src="../inc/validator.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Scripts Javascript pour vérifications -->
<script language="JavaScript" src="../inc/verif.js"></script>

</head>
<?PHP
if ($notes_ok == TRUE)
{
?>
	<body onblur="self.close('fscomp')">
<?PHP
}
else
{
?>
	<body>
<?PHP
}

if ($notes_ok == TRUE)
{
?>
	
	<p align="center"> <span class="titrepage">NOTES CLIENTS </span></p>
	<?PHP
	if ($cli_ste <> "")
		$txt_cli = $cli_ste.", ".$cli_civilite." ".$cli_prenom." ".$cli_nom;
	else
		$txt_cli = $cli_civilite." ".$cli_prenom." ".$cli_nom;
	?>
	<p align="center"><span class="titre_gras"><?php echo $txt_cli; ?></span></p>
	
	<?PHP
	if (@$HTTP_SESSION_VARS["niv_log"] >= 5)
	{
	?>
	<!-- Notes Administration -->
	<table width="800"  border="0">
	<tr>
		<td width="200" class="tfvNormal" id="f_notesa"><div align="right">Notes Administration </div></td>
		<td>
			<textarea name="notaa" cols="90" rows="5" id="notaa"><?PHP echo $cli_notaa ?></textarea>
		</td>
	</tr>
	</table>
	<?PHP
	}

	if (@$HTTP_SESSION_VARS["niv_log"] >= 3)
	{
	?>
	<br>
	<!-- Notes Techniques -->
	<table width="800"  border="0">
	<tr>
		<td width="200" class="tfvNormal" id="f_notesa"><div align="right">Notes Techniciens</div></td>
		<td>
			<textarea name="notaa" cols="90" rows="5" id="notat"><?PHP echo $cli_notat ?></textarea>
		</td>
	</tr>
	</table>
	<?PHP
	}
	?>
	
	<br>
	
	<!-- bouton de fermeture de la fenêtre -->
	<div align="center">
		<input name="ferm" type="button" id="ferm" value="Fermer la fen&ecirc;tre" onclick="javascript:; self.close('fscomp');">
	</div>
<?PHP
}
else
{
?>
	<script type="text/javascript">
	self.close('fscomp');
	</script>
<?PHP
}
?>

</body>
</html>
